Parte: Prisma

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Prism and the translation is 8% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎čeština • ‎русский
Arrow-left.svg Previous: Part Ellipsoid.svg Ellipsoid
Next: Wedge Part Wedge.svg Arrow-right.svg

Part Prism.svg Prisma

Posizione nel menu
Parte → Crea primitive → Prism
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
0.14
Vedere anche
Crea primitive, Box/Cubo

Descrizione

Un prisma di Parte è un solido definito da una sezione trasversale poligonale regolare e da un'altezza.

Part Prism Example.png

Utilizzo

See Part Primitives.

Example

Part Prism from the scripting example

A Part Prism object created with the scripting example below is shown here.

Parametri

  • Polygon - il numero di lati del poligono che descrive la sezione trasversale del Prisma di Parte
  • circumradius - il circumradius è la distanza dal centro del poligono a un vertice.
  • Height - l'altezza del Prisma di Parte

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DatiPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatiCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DatiHeight (Length): The height of the prism. The default is 10mm.
  • DatiFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.19
  • DatiSecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.19

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()


Arrow-left.svg Previous: Part Ellipsoid.svg Ellipsoid
Next: Wedge Part Wedge.svg Arrow-right.svg